public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/
Date: Thu, 16 Jul 2020 14:39:06 +0000 (UTC)	[thread overview]
Message-ID: <1594910321.008396f37bda1955855bb58d340da35984d23df7.juippis@gentoo> (raw)

commit:     008396f37bda1955855bb58d340da35984d23df7
Author:     Pierre-Olivier Mercier <nemunaire <AT> nemunai <DOT> re>
AuthorDate: Mon Jun 22 15:41:53 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jul 16 14:38:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=008396f3

www-apps/gitea: bump to 1.11.8

Closes: https://bugs.gentoo.org/727648
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Pierre-Olivier Mercier <nemunaire <AT> nemunai.re>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 www-apps/gitea/Manifest            |   1 +
 www-apps/gitea/gitea-1.11.8.ebuild | 141 +++++++++++++++++++++++++++++++++++++
 2 files changed, 142 insertions(+)

diff --git a/www-apps/gitea/Manifest b/www-apps/gitea/Manifest
index 0caedd3fa4b..03f07b0b5f8 100644
--- a/www-apps/gitea/Manifest
+++ b/www-apps/gitea/Manifest
@@ -1 +1,2 @@
 DIST gitea-src-1.11.6.tar.gz 68915319 BLAKE2B 8d8fd34fe38e153aa4af932a83933d0b5ad81a63bf7b7b5be59e64dd82db3282072686979a41fafa3ac2e523f79d6926ed057b2ed18645040bf1c446c6ab04b2 SHA512 57d5214a5e05581c134d42e00ec29fe15f3245a75440fca26c7162937570affc5a2e4ba8e903cb7f15fcb271144183ce5aa473457245f36d52686ea9f1cc93b3
+DIST gitea-src-1.11.8.tar.gz 68927493 BLAKE2B 4e1b1d201848227bd5d5bfac5bbddc291e2f14d7262bb2f8353131b6284520ecda3f844e81c23e95c5cd4ef17a6414e0b3c6adf6e6be5c59f7367c19a2e549d8 SHA512 13216a4d98211eb1a5c319992c9c253ce6f7a7a343ebfdca18802eb599f7300a3c23adbba94784f70ca604751ced5aac7d663a210885554c61a24857de79b6e6

diff --git a/www-apps/gitea/gitea-1.11.8.ebuild b/www-apps/gitea/gitea-1.11.8.ebuild
new file mode 100644
index 00000000000..555b0028a9e
--- /dev/null
+++ b/www-apps/gitea/gitea-1.11.8.ebuild
@@ -0,0 +1,141 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} != 9999* ]] ; then
+	SCM="golang-vcs-snapshot"
+else
+	SCM="git-r3"
+fi
+
+inherit fcaps golang-base tmpfiles systemd ${SCM}
+unset SCM
+
+EGO_PN="code.gitea.io/gitea"
+
+DESCRIPTION="A painless self-hosted Git service"
+HOMEPAGE="https://gitea.io"
+
+if [[ ${PV} != 9999* ]] ; then
+	SRC_URI="https://github.com/go-gitea/gitea/releases/download/v${PV}/gitea-src-${PV}.tar.gz"
+	KEYWORDS="~amd64 ~arm ~arm64"
+else
+	EGIT_REPO_URI="https://github.com/go-gitea/gitea"
+	EGIT_CHECKOUT_DIR="${WORKDIR}/${P}/src/${EGO_PN}"
+	has test ${FEATURES} && EGIT_MIN_CLONE_TYPE="mirror"
+fi
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC MIT MPL-2.0"
+SLOT="0"
+IUSE="+acct build-client pam sqlite"
+
+BDEPEND="<dev-lang/go-1.14.0
+	build-client? ( >=net-libs/nodejs-10[npm] )"
+DEPEND="pam? ( sys-libs/pam )"
+RDEPEND="${DEPEND}
+	acct? (
+		acct-group/git
+		acct-user/git[gitea]
+	)
+	dev-vcs/git"
+
+DOCS=( custom/conf/app.ini.sample CONTRIBUTING.md README.md )
+FILECAPS=( cap_net_bind_service+ep usr/bin/gitea )
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+PATCHES=( "${FILESDIR}/gitea-logflags.patch" )
+
+gitea_make() {
+	local gitea_tags=(
+		bindata
+		$(usev pam)
+		$(usex sqlite 'sqlite sqlite_unlock_notify' '')
+	)
+	local gitea_settings=(
+		"-X code.gitea.io/gitea/modules/setting.CustomConf=${EPREFIX}/etc/gitea/app.ini"
+		"-X code.gitea.io/gitea/modules/setting.CustomPath=${EPREFIX}/var/lib/gitea/custom"
+		"-X code.gitea.io/gitea/modules/setting.AppWorkPath=${EPREFIX}/var/lib/gitea"
+	)
+	local makeenv=(
+		TAGS="${gitea_tags[@]}"
+		LDFLAGS="-extldflags \"${LDFLAGS}\" ${gitea_settings[@]}"
+		GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)"
+	)
+	[[ ${PV} != 9999* ]] && makeenv+=("DRONE_TAG=${PV}")
+
+	env "${makeenv[@]}" emake -j1 "$@"
+}
+
+src_prepare() {
+	default
+
+	local sedcmds=(
+		-e "s#^RUN_MODE = dev#RUN_MODE = prod#"
+		-e "s#^ROOT =#ROOT = ${EPREFIX}/var/lib/gitea/gitea-repositories#"
+		-e "s#^ROOT_PATH =#ROOT_PATH = ${EPREFIX}/var/log/gitea#"
+		-e "s#^APP_DATA_PATH = data#APP_DATA_PATH = ${EPREFIX}/var/lib/gitea/data#"
+		-e "s#^HTTP_ADDR = 0.0.0.0#HTTP_ADDR = 127.0.0.1#"
+		-e "s#^MODE = console#MODE = file#"
+		-e "s#^LEVEL = Trace#LEVEL = Info#"
+		-e "s#^LOG_SQL = true#LOG_SQL = false#"
+		-e "s#^DISABLE_ROUTER_LOG = false#DISABLE_ROUTER_LOG = true#"
+		-e "s#^APP_ID =#;APP_ID =#"
+		-e "s#^TRUSTED_FACETS =#;TRUSTED_FACETS =#"
+	)
+
+	sed -i "${sedcmds[@]}" custom/conf/app.ini.sample || die
+	if use sqlite ; then
+		sed -i -e "s#^DB_TYPE = .*#DB_TYPE = sqlite3#" custom/conf/app.ini.sample || die
+	fi
+
+	# Remove already build assets (like frontend part)
+	use build-client && gitea_make clean-all
+}
+
+src_compile() {
+	if use build-client ; then
+		gitea_make build
+	else
+		gitea_make backend
+	fi
+}
+
+src_test() {
+	if has network-sandbox ${FEATURES}; then
+		einfo "Remove tests which are known to fail with network-sandbox enabled."
+		rm ./modules/migrations/github_test.go || die
+	fi
+
+	if [[ ${PV} != 9999* ]] ; then
+		einfo "Remove tests which depend on gitea git-repo."
+		rm ./modules/git/blob_test.go || die
+		rm ./modules/git/repo_test.go || die
+	fi
+
+	default
+}
+
+src_install() {
+	dobin gitea
+
+	einstalldocs
+
+	newconfd "${FILESDIR}/gitea.confd-r1" gitea
+	newinitd "${FILESDIR}/gitea.initd-r3" gitea
+	newtmpfiles - gitea.conf <<-EOF
+		d /run/gitea 0755 git git
+	EOF
+	systemd_newunit "${FILESDIR}"/gitea.service-r2 gitea.service
+
+	insinto /etc/gitea
+	newins custom/conf/app.ini.sample app.ini
+	if use acct ; then
+		fowners root:git /etc/gitea/{,app.ini}
+		fperms g+w,o-rwx /etc/gitea/{,app.ini}
+
+		diropts -m0750 -o git -g git
+		keepdir /var/lib/gitea /var/lib/gitea/custom /var/lib/gitea/data
+		keepdir /var/log/gitea
+	fi
+}


             reply	other threads:[~2020-07-16 14:39 UTC|newest]

Thread overview: 171+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-07-16 14:39 Joonas Niilola [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-06 10:25 [gentoo-commits] repo/gentoo:master commit in: www-apps/gitea/ Yixun Lan
2024-06-06 22:27 Yixun Lan
2024-06-06 22:24 Yixun Lan
2024-04-16 21:23 Yixun Lan
2024-04-16 21:23 Yixun Lan
2024-04-16  5:42 Joonas Niilola
2024-03-26 13:45 Yixun Lan
2024-03-15  9:15 Yixun Lan
2024-02-26 11:33 Yixun Lan
2024-02-24  2:02 Yixun Lan
2024-02-20  2:53 Yixun Lan
2024-02-20  2:53 Yixun Lan
2024-02-19  6:50 Yixun Lan
2024-02-18  7:27 Joonas Niilola
2024-02-04 17:10 WANG Xuerui
2024-02-02  0:53 Yixun Lan
2024-01-23 13:44 Yixun Lan
2024-01-20 13:00 Sam James
2024-01-20 11:04 Yixun Lan
2024-01-12 11:29 Arthur Zamarin
2023-12-21 15:07 Yixun Lan
2023-12-12 23:33 Yixun Lan
2023-11-29 23:54 Yixun Lan
2023-11-29 16:45 Arthur Zamarin
2023-11-29 12:53 Yixun Lan
2023-11-29 12:53 Yixun Lan
2023-11-21 14:38 Yixun Lan
2023-11-17  1:51 Yixun Lan
2023-11-17  1:51 Yixun Lan
2023-11-01  6:37 Yixun Lan
2023-11-01  6:37 Yixun Lan
2023-10-14  7:49 Hans de Graaff
2023-09-16  0:37 Sam James
2023-09-09 11:16 Joonas Niilola
2023-05-30  2:00 John Helmert III
2023-05-27  8:24 Joonas Niilola
2023-05-27  8:24 Joonas Niilola
2023-05-27  8:24 Joonas Niilola
2023-04-17  9:35 Sam James
2023-04-16  6:56 Sam James
2023-03-11  7:41 Yixun Lan
2023-01-28  5:47 John Helmert III
2023-01-27  6:17 Joonas Niilola
2023-01-27  5:44 John Helmert III
2022-12-31 19:25 Sam James
2022-12-27  1:31 John Helmert III
2022-12-26  9:47 Sam James
2022-12-24  7:18 Sam James
2022-10-20 15:42 John Helmert III
2022-10-20 10:52 Jakov Smolić
2022-10-16 23:41 Sam James
2022-09-29 13:53 Joonas Niilola
2022-09-29  7:34 Jakov Smolić
2022-09-29  5:17 Joonas Niilola
2022-09-29  2:16 Sam James
2022-08-26 12:04 Sam James
2022-08-26 12:04 Sam James
2022-07-30  2:33 Sam James
2022-07-23  9:13 Joonas Niilola
2022-06-12  7:33 Joonas Niilola
2022-06-12  7:33 Joonas Niilola
2022-05-30  6:05 Joonas Niilola
2022-05-13 20:12 Sam James
2022-05-06  8:00 Agostino Sarubbo
2022-05-04 23:22 Sam James
2022-05-04 23:22 Sam James
2022-05-04 23:22 Sam James
2022-05-02  6:04 Joonas Niilola
2022-05-01 16:32 Joonas Niilola
2022-03-25 19:25 Sam James
2022-03-25 19:25 Sam James
2022-03-16 17:33 Sam James
2022-03-16 17:33 Sam James
2022-03-12 17:25 Matthew Smith
2022-03-12 17:25 Matthew Smith
2022-02-09 11:25 Sam James
2022-02-09 11:25 Sam James
2022-02-03  2:21 Sam James
2022-02-03  2:21 Sam James
2022-01-28  8:36 Sam James
2022-01-28  8:36 Sam James
2021-12-25 23:20 Sam James
2021-12-25 23:20 Sam James
2021-12-21  1:56 Sam James
2021-12-01 15:54 Joonas Niilola
2021-11-30  7:54 Joonas Niilola
2021-11-30  7:54 Joonas Niilola
2021-10-31  2:55 Sam James
2021-10-31  2:55 Sam James
2021-10-31  2:55 Sam James
2021-09-24 23:40 Sam James
2021-09-24 23:40 Sam James
2021-09-24  7:56 Joonas Niilola
2021-09-01 16:42 William Hubbs
2021-08-30 15:07 Mike Gilbert
2021-08-10 13:37 Joonas Niilola
2021-08-10 13:37 Joonas Niilola
2021-08-10 13:37 Joonas Niilola
2021-06-21 22:36 Sam James
2021-04-10  4:24 Sam James
2021-04-10  4:24 Sam James
2021-03-31  7:40 Joonas Niilola
2021-03-31  7:40 Joonas Niilola
2021-03-09 12:01 Joonas Niilola
2021-03-09 12:01 Joonas Niilola
2021-02-09  8:56 Sam James
2021-02-09  8:56 Sam James
2021-01-10 18:39 Sam James
2020-12-15  3:58 Sam James
2020-12-15  3:58 Sam James
2020-12-15  3:58 Sam James
2020-11-24 13:26 Joonas Niilola
2020-11-24 13:26 Joonas Niilola
2020-10-07 19:06 Sam James
2020-10-07 17:01 Sam James
2020-10-07 17:01 Sam James
2020-09-04 20:53 William Hubbs
2020-07-16 14:39 Joonas Niilola
2020-07-16 14:39 Joonas Niilola
2020-06-02  4:35 Aaron Bauman
2020-06-02  4:35 Aaron Bauman
2020-05-13  7:59 Joonas Niilola
2020-05-13  7:59 Joonas Niilola
2020-05-13  7:59 Joonas Niilola
2020-05-13  7:59 Joonas Niilola
2020-03-15 11:12 Joonas Niilola
2020-03-15 11:12 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2020-01-20 13:03 Joonas Niilola
2020-01-06 10:39 Joonas Niilola
2019-12-12 17:53 Joonas Niilola
2019-12-12 17:53 Joonas Niilola
2019-06-27 14:49 Michał Górny
2019-04-23 17:36 Aaron Bauman
2019-04-23 15:19 Aaron Bauman
2019-04-23 15:19 Aaron Bauman
2019-04-23 15:19 Aaron Bauman
2019-04-18  3:30 Aaron Bauman
2019-03-15 22:42 Patrice Clement
2018-10-14 13:03 Pacho Ramos
2018-10-14 13:03 Pacho Ramos
2018-10-10 11:23 Michał Górny
2018-08-20 14:55 Manuel Rüger
2018-08-05 13:38 Manuel Rüger
2018-06-02 12:08 Manuel Rüger
2017-12-10 23:24 Manuel Rüger
2017-12-01 14:04 Manuel Rüger
2017-12-01 14:04 Manuel Rüger
2017-11-15 14:24 Manuel Rüger
2017-11-03 13:37 Manuel Rüger
2017-11-03 13:37 Manuel Rüger
2017-10-22  0:21 Manuel Rüger
2017-10-22  0:21 Manuel Rüger
2017-09-08 21:55 Manuel Rüger
2017-08-06 21:31 Manuel Rüger
2017-08-06 21:31 Manuel Rüger
2017-06-14 15:36 Manuel Rüger
2017-06-14 15:36 Manuel Rüger
2017-05-05 14:30 Manuel Rüger
2017-03-19 21:35 Manuel Rüger
2017-03-19 21:34 Manuel Rüger
2017-03-14 14:44 Manuel Rüger
2017-02-24 10:59 Manuel Rüger
2017-02-24 10:59 Manuel Rüger
2017-01-11 15:40 Manuel Rüger
2016-12-29 23:48 Manuel Rüger
2016-12-26  0:28 Manuel Rüger
2016-12-25 20:53 Manuel Rüger
2016-12-24 21:16 Manuel Rüger
2016-12-20  0:59 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1594910321.008396f37bda1955855bb58d340da35984d23df7.juippis@gentoo \
    --to=juippis@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox